package com.casic.missiles.service.business;

import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.model.business.BusinessSiteExecutiveInfoEquipmentRelation;
import com.casic.missiles.model.equipment.EquipmentFixedAssets;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zt
 * @since 2023-04-03
 */
public interface IBusinessSiteExecutiveInfoEquipmentRelationService extends IService<BusinessSiteExecutiveInfoEquipmentRelation> {

    boolean saveBatch(Long siteExecutiveId, List<EquipmentFixedAssets> equipmentInfoList);

    Boolean deleteBySiteExecutiveId(Long siteExecutiveId);

    Boolean deleteBySiteExecutiveIds(List<Long> siteExecutiveIds);

    List<EquipmentFixedAssets> getEquipmentsByExecutiveInfoId(Long siteExecutiveId);
}
